# $Revision: 1.25 $, $Date: 2007-10-28 13:17:06 $
#
# Conditional build:
%bcond_without	gnueabi	# build without GNU Embedded ABI support
#
Summary:	Cross ARM GNU binary utility development utilities - binutils
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - ARM binutils
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - ARM binutils
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla ARM - binutils
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - ARM binutils
Summary(tr.UTF-8):	GNU geliştirme araçları - ARM binutils
Name:		crossarm-binutils
Version:	2.18.50.0.2
Release:	1%{?with_gnueabi:gnueabi}
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	ba4647b164a4700ca62e6eeb76cae4fc
Source1:	crossarm-lpc2104.ld
Source2:	crossarm-lpc2106.ld
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
%{?with_gnueabi:Provides:	crossarm-binutils(gnueabi)}
ExcludeArch:	arm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		arm-linux%{?with_gnueabi:-gnueabi}
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for ARM.

%description -l pl.UTF-8
Pakiet binutils zawiera zestaw narzędzi umożliwiających kompilację
programów. Znajdują się tutaj między innymi assembler, konsolidator
(linker), a także inne narzędzia do manipulowania binarnymi plikami
programów i bibliotek.

Ten pakiet zawiera wersję skrośną generującą kod dla ARM.

%prep
%setup -q -n binutils-%{version}

%build
cp -f /usr/share/automake/config.sub .

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--target=%{target} \
	--with-sysroot=%{_libdir}/%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{arch}/lib/ldscripts/lpc2104.ld
install %{SOURCE2} $RPM_BUILD_ROOT%{arch}/lib/ldscripts/lpc2106.ld

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/ldscripts/*
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossarm-binutils.spec,v $
Revision 1.25  2007-10-28 13:17:06  aredridel
- use sysroot

Revision 1.24  2007/10/22 03:40:58  aredridel
- 2.18.50.0.2

Revision 1.23  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.21  2006/09/30 08:11:02  pluto
- typo.

Revision 1.20  2006/09/30 08:07:42  pluto
- switch to gnu/eabi target.

Revision 1.19  2006/09/30 07:44:53  pluto
- updated to 2.17.50.0.5.

Revision 1.18  2006/09/03 08:32:50  pluto
- updated to 2.17.50.0.3.

Revision 1.17  2006/01/04 15:37:27  pluto
- updated to 2.16.91.0.5.

Revision 1.16  2005/09/08 15:02:51  pluto
- pass -fno-strict-aliasing to avoid wrong-code (aliasing violations).

Revision 1.15  2005/09/05 07:05:34  pluto
- updated to 2.16.91.0.3.

Revision 1.14  2005/07/24 07:00:01  pluto
- updated to 2.16.91.0.2.

Revision 1.13  2005/07/10 21:56:08  pluto
- eabi enabled by default.
- ld scripts for philips LPC210x chipsets added.
- release 2.

Revision 1.12  2005/06/26 13:25:08  pluto
- updated to 2.16.91.0.1.

Revision 1.11  2005/05/15 18:48:52  pluto
- updated to 2.16.90.0.3.

Revision 1.10  2005/05/02 15:29:03  pluto
- updated to 2.16.90.0.2.

Revision 1.9  2005/04/29 00:55:33  pluto
- disable nls.

Revision 1.8  2005/04/28 23:25:24  pluto
- updated to 2.16.90.0.1.

Revision 1.7  2005/02/27 19:24:12  pluto
- updated to 2.15.94.0.2.2.

Revision 1.6  2005/02/12 15:58:58  pluto
- bcond for embedded abi.

Revision 1.5  2004/12/29 21:46:20  pluto
- updated to 2.15.94.0.2.

Revision 1.4  2004/11/24 08:42:25  pluto
- updated to 2.15.94.0.1.

Revision 1.3  2004/10/03 14:41:31  pluto
- updated to 2.15.92.0.2.

Revision 1.2  2004/09/24 15:02:53  pluto
- fixed PR290, PR338.
- release 2.

Revision 1.1  2004/08/27 20:32:39  pluto
- initial release.
